Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelDeployments
Retrieve all Model Deployments
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelDeployments \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "items": [
    {
      "collaborators": [
        {
          "id": "66a84107c774610134ae3a28"
        }
      ],
      "configuration": {
        "deploymentType": {
          "modelConfigs": {},
          "sharedConfig": {},
          "type": "SYNC_ENDPOINT"
        },
        "modelConfigs": {},
        "sharedConfig": {}
      },
      "creationTimestamp": "2023-07-15T14:35:47.89Z",
      "creatorInfo": {
        "id": "ABC-123",
        "username": "Production"
      },
      "deploymentTargetInfo": {
        "id": "ABC-123",
        "name": "Production",
        "typeName": "AWS SageMaker"
      },
      "description": "This endpoint is designed to provide businesses with insights into their customer retention patterns.",
      "id": "614e40a7-0509-4cae-89af-55e2097b817d",
      "isGloballyAccessible": true,
      "models": [
        {
          "environmentId": "<string>",
          "environmentName": "<string>",
          "name": "XYZ Model",
          "projectId": "<string>",
          "source": {
            "registeredModelName": "Growth Forecasting Model",
            "registeredModelType": "MODELREGISTRY",
            "registeredModelVersion": 3
          }
        }
      ],
      "name": "Income Classifier Deployment",
      "resourceConfigurationInfo": {
        "configuration": {},
        "id": "ABC-123",
        "name": "Large"
      },
      "version": 23,
      "remoteUpdateTimestamp": "2023-07-16T19:20:30.45Z",
      "status": {
        "message": "<string>",
        "modelOperations": {},
        "modelStates": {},
        "sharedOperations": [
          {
            "fields": {},
            "metadata": {
              "operations": [
                "<string>"
              ],
              "type": "<string>",
              "service": "<string>"
            },
            "type": "<string>",
            "credentials": {
              "expirationTime": "2023-11-07T05:31:56Z",
              "keys": [
                "<string>"
              ]
            },
            "examplePayload": "<string>",
            "examples": [
              {
                "code": "<string>",
                "format": "<string>",
                "language": "<string>",
                "request": "<string>"
              }
            ]
          }
        ],
        "sharedState": {}
      }
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

name
string

The Model Deployment name to search by.

projectId
string

The Project Id to filter by.

deploymentTargetId
string

The Deployment Target Id to filter by

resourceConfigurationId
string

The Resource Configuration Id to filter by

registeredModelName
string

The registered model name to filter by

registeredModelVersion
integer

The registered model version to filter by. If defined, registeredModelName must also be defined

limit
integer

The number of results to retrieve. Defaults to 25.

offset
integer
default:25

The offset from the first element to start retrieving from.

orderBy
string

Field to order results by. Format is the name of the field optionally followed by a space and either ASC or DESC. Field name can be name, type, status, creationTimestamp, or updateTimestamp. If not specified, defaults to "name ASC".

Response

A list of Model Deployments matching the provided query.

items
object[]
required

The Model Deployments in the paginated list.

metadata
object
required